var user1 = wx.getStorageSync('userInfo');
var http = require("../../../utils/config.js");
const util = require('../../../utils/utils.js');
var app = getApp();
Page({
  data: {
    list: [
      {
        id: 0,
        imgUrl: 'http://resource.weilaigo.l4j.cn/notice.png',
        name: '公告列表'
      },
      {
        id: 1,
        imgUrl: '/img/shenqing.png',
        name: '申请还车点'
      },
      {
        id: 2,
        imgUrl: 'http://resource.weilaigo.l4j.cn/aid.png',
        name: '帮助中心'
      },
      {
        id: 3,
        imgUrl: '/img/fnakui.png',
        name: '问题反馈'
      }
    ],
    open: true,
    user: '',
    balance: '', //我的钱包
    phone: [],
    actionSheetHidden: true,
    state: '',
    arr:[],
    show:'',
    imgUrl:'',
    time:wx.getStorageSync('home').customer_service_time,
    screenHeight:'',
    adHeight:''
  },
  //返回首页
  skipIndex() {
    console.log(app.globalData.compatible)
    if(app.globalData.compatible){
      wx.reLaunch({
        url: '/pages/compatible/index/index',
      })
    }else{
      wx.reLaunch({
        url: '/pages/index/index',
      })
    }
  },
  showService: function(e) {
    this.setData({
      open: !this.data.open
    })
  },
  tuichu(){
    wx.showModal({
      title:'提示',
      content: '确定要退出当前账户吗？',
      success:function(res){
        if(res.confirm){
          wx.reLaunch({
            url: '/pages/authentication/authentication',
          })
        }
      }
    })
  },
  jumpPage: function(e) {
    let index = e.currentTarget.dataset.idx;
    switch (index) {
      case 0:
        wx.navigateTo({
          url: '/pages/announcement_list/announcement_list',
        })
        break;
      case 1:
        wx.navigateTo({
          url: '/pages/apply/apply',
        })
        break;
      case 2:
        wx.navigateTo({
          url: '/pages/personal/help/help'
        })
        break;
        case 3:
        wx.navigateTo({
          url: '/pages/personal/helpDetail/helpDetail?show=14'
        })
        break;
      default:
        if(app.globalData.compatible){
          wx.reLaunch({
            url: '/pages/compatible/index/index',
          })
        }else{
          wx.reLaunch({
            url: '/pages/index/index',
          })
        }
    }
  },
  userinfo: function(e) {
    var that = this;
    wx.showLoading({
      title: '加载中...',
      mask: true
    })
    wx.request({
      url: http.url + '/me',
      header: {
        'content-type': 'application/x-www-form-urlencoded',
        Authorization: wx.getStorageSync('token')
      },
      method: 'GET',
      success: function(res) {
        console.log(res)
        200 == res.statusCode && wx.setStorageSync("userInfo", res.data), that.setData({
          user: res.data
        }), wx.hideLoading()
      }
    })
  },
  onLoad: function(options) {
    var imgurl = wx.getStorageSync('imgUrl');
    this.setData({ imgUrl: 'http://resource.' + imgurl[0] ,screenHeight: app.globalData.screenHeight})
    this.userinfo();
    var phones = wx.getStorageSync('home').customer_service_phone
    this.setData({
      phone: this.data.phone.concat(phones)
    });
    //获取实名认证状态
    if (wx.getStorageSync('userState').is_card_certified == 1) {
      this.setData({
        state: '已实名'
      })
    } else {
      this.setData({
        state: '未实名'
      })
    }
  },
  buy:function(){
    wx.navigateTo({
      url: '/pages/recharge/recharge',
    })
  },
  look(){
    wx.navigateTo({
      url: '/pages/riding_card/riding_card',
    })
  },
  onReady: function() {
    
  },
  phone1: util.throttle(function(e) {
    var phone = this.data.phone[0];
    wx.makePhoneCall({
      phoneNumber: phone,
    })
  }, 1000),
  onShow: function() {
    var that = this;
    that.setData({time:wx.getStorageSync('home').customer_service_time})
    app.request("/card_riding/user_card", '', "GET").then(res => {
      console.log(res)
      that.setData({ arr: res.data.user_card,show:res.data.is_card_begin })
    })
  },
  onHide: function() {

  },
  onUnload: function() {

  },
  onPullDownRefresh: function() {
    wx.showNavigationBarLoading();
    var that = this;
    wx.request({
      url: http.url + '/me',
      header: {
        'content-type': 'application/x-www-form-urlencoded',
        Authorization: wx.getStorageSync('token')
      },
      method: 'GET',
      success: function(res) {
        console.log(res)
        200 == res.statusCode && wx.setStorageSync("userInfo", res.data), that.setData({
          user: res.data
        })
        wx.hideNavigationBarLoading()
        wx.stopPullDownRefresh();
      }
    })
  },
  onReachBottom: function() {

  },
  onShareAppMessage: function() {
    r
  }
})